**efi-siglist-gen**: Tool for generating a EFI Secureboot variable value from one more certs/hashes. The generated value is a raw EFI signature list file (.esl) and is output to stdout.

 Args:
 cert.cer[:file.guid] hash.hash[:file.guid] ...  : One or more certs in .cer (DER format) or .hash (SHA-256 hash) file from which to generate the variable value.
                                                   Each cert/hash can include an optional .guid file (separated by a colon) to specify the owner GUID for
                                                   the cert/hash. If a GUID is not specified, an empty (GUID==0) will be used.

 GUID files must have a .guid extension and contain a single GUID of the format: "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX".
 For example: ddcf3616-3275-4164-98b6-fe85707ffe7d

 Example usage:

 Generate a db variable value from the given db certs (output goes to stdout):
 > efi-siglist-gen MSFT_CA_2011.cer MSFT_PCA_2011.cer ORCL_IPXE_2020.cer > db_value.esl

 Generate a dbx variable value from the given dbx certs and hashes (output goes to stdout):
 > efi-siglist-gen canonical1.cer dbx_hash1.hash dbx_hash2.hash > dbx_value.esl

 Generate a PK variable value from the given PK cert and guid file:
 > efi-siglist-gen ORCLproductionPk202003.cer:orcl_PK.guid > PK_value.esl

 Generate a KEK variable value from the given KEK certs and guid files (and pipe variable value output directly into ovmf_vars_mgr tool):
 > efi-siglist-gen MSFTproductionKekCA.cer:MSFT_ven.guid ORCLproductionKek202003.cer:ORCL_kek.guid | ovmf-vars-mgr --var KEK --write --vars-file /usr/share/OVMF/Guest1_VARS.fd


 NOTE: The generated .esl file does NOT include a EFI_VARIABLE_AUTHENTICATION_2 header and is intended for use with the ovmf-vars-mgr tool (as shown above) or with the tools supplied by the efitools RPM (See: git://git.kernel.org/pub/scm/linux/kernel/git/jejb/efitools.git). For example, to dump the individual certs from a .esl file: sig-list-to-certs PK_value.esl PK

